# Method: projects.locations.reportConfigs.reportDetails.list

Lists the inventory reports in a given project for a given location.

### HTTP request

`GET https://storageinsights.googleapis.com/v1/{parent=projects/*/locations/*/reportConfigs/*}/reportDetails`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for `ListReportDetailsRequest` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. The server might return fewer items than requested. If unspecified, the server picks the default value. |
| `pageToken` | `string` A token identifying a page of results the server should return. |
| `filter` | `string` Filtering results |
| `orderBy` | `string` Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs.reportDetails/list#google.cloud.storageinsights.v1.StorageInsights.ListReportDetails`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "reportDetails": [ { object (`https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs.reportDetails#ReportDetail`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `reportDetails[]` | ``object (`https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs.reportDetails#ReportDetail`)`` The list of `ReportDetail` |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `storageinsights.reportDetails.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).